<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Blog;

class BlogController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //show data
        $search = \Request::get('search');
        $blogs = Blog::where('name','like','%'.$search.'%')->orderBy('id')->paginate(6);
        return view('blog.index',['blogs' => $blogs]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //create new data
        return view('blog.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //validation
        $this->validate($request,['id'=>'required','image_url'=>'required', 'name'=>'required','sex'=>'required','idCard'=>'required','birthDate'=>'required','province'=>'required','distrik'=>'required','sector'=>'required','cell'=>'required',]);
        //create new data
        $blog = new blog;
        $blog->id = $request->id;
        $blog->image_url = $request->image_url;
        $blog->name = $request->name;
        $blog->sex = $request->sex;
        $blog->idCard = $request->idCard;
        $blog->birthDate = $request->birthDate;
        $blog->province = $request->province;
        $blog->distrik = $request->distrik;
        $blog->sector = $request->sector;
        $blog->cell = $request->cell;
        $blog->save();
        return redirect()->route('blog.index')->with('alert->success','Data has been Saved!');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //return to the edit views
        $blog = Blog::findOrFail($id);
        return view('blog.edit',compact('blog'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //validation
        $this->validate($request,['id'=>'required','image_url'=>'required', 'name'=>'required','sex'=>'required','idCard'=>'required','birthDate'=>'required','province'=>'required','distrik'=>'required','sector'=>'required','cell'=>'required',]);
        $blog = Blog::findOrFail($id);
        $blog->id = $request->id;
        $blog->image_url = $request->image_url;
        $blog->name = $request->name;
        $blog->sex = $request->sex;
        $blog->idCard = $request->idCard;
        $blog->birthDate = $request->birthDate;
        $blog->province = $request->province;
        $blog->distrik = $request->distrik;
        $blog->sector = $request->sector;
        $blog->cell = $request->cell;
        $blog->save();
        return redirect()->route('blog.index')->with('alert->success','Data has been Saved!');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //delete data
        $blog = Blog::findOrFail($id);
        $blog->delete();
        return redirect()->route('blog.index')->with('alert->success','Data has been Saved!');
    }
}
